必要な物

Artix
```
# 更新
sudo pacman -Syyu

# AUR を有効様にする
sudo pacman -S yay base-devel

# 基本のアプリ
yay -S curl git unzip unarchiver fish tor wget

# 入力
yay -S fcitx5 fcitx5-gtk fcitx5-qt fcitx5-mozc fcitx5-configtool fcitx5-table-other fcitx5-table-extra adobe-source-code-pro-fonts adobe-source-sans-fonts

# よく使うアプリ
yay -S qutebrowser neovim ranger pass pass-otp alacritty picom toot termshark vlc mpv conky gajim gajim-plugin-omemo gajim-plugin-urlimagepreview claws-mail claws-mail-themes clawsker newsboat w3m pcmanfm spectacle obs-studio wine winetricks wine-mono arandr weechat hexchat sxiv cmake freetype2 fontconfig pkg-config make libxcb libxkbcommon python zbar yt-dlp

# 必要はないですが、確かに好むかもしん
yay -S airshipper veloren-nightly-bin minetest minetest-common wyeb-git wyebadblock-git vimb kristall tor-browser geary gimp kdenlive krita proton protontricks

# i3の場合
yay -S i3-gaps i3lock polybar rofi scrot hsetroot xsettingsd

# swayの場合 sway swaylock waybar wofi wf-recorder grim wdisplays swaybg

# IceWMの場合
yay -S icewm scrot
```

Void
```
# 更新
sudo xbps-install -Su

# 基本のアプリ
sudo xbps-install -S curl git unzip unar fish-shell tor wget

# 入力
sudo xbps-install -S fcitx5 fcitx-gtk+2 fcitx5-gtk+3 fcitx5-gtk4 fcitx5-qt5 fcitx-qt6 fcitx5-mozc fcitx5-configtool fcitx5-table-other font-adobe-source-code-pro 

# よく使うアプリ
sudo xbps-install -S qutebrowser neovim ranger pass pass-otp alacritty picom toot termshark vlc mpv conky gajim gajim-omemo claws-mail newsboat w3m pcmanfm spectacle obs wine winetricks wine-mono arandr weechat hexchat sxiv cmake freetype-devel expat-devel fontconfig-devel libxcb-devel pkg-config python3 zbar yt-dlp

# 必要はないですが、確かに好むかもしん
sudo xbps-install -S minetest vimb kristall torbrowser-launcher geary gimp kdenlive krita proton protontricks webkit2gtk-devel webkit2gtk perl-File-MimeInfo discount

wget https://github.com/veloren/airshipper/releases/latest/download/airshipper-linux.tar.gz

git clone https://github.com/jun7/wyeb.git
cd wyeb
make && sudo make install

# i3の場合
sudo xbps-install -S i3-gaps i3lock polybar rofi scrot hsetroot xsettingsd

# swayの場合
sudo xbps-install -S sway swaylock Waybar wofi wf-recorder grim wdisplays swaybg

# IceWMの場合
sudo xbps-install -S icewm xdgmenumaker scrot

```

Devuan
```
# 更新
sudo apt update && sudo apt upgrade && sudo apt autoremove

# 基本のアプリ
sudo apt install curl git unzip unarchiver fish wget

# 入力
sudo apt install fcitx5 fcitx5-frontend-gtk2 fcitx5-frontend-gtk3 fcitx5-frontend-qt5 fictx5-mozc fcitx5-config-qt fcitx5-table fcitx5-modules
# TODO: フォント

# よく使うアプリ
sudo apt install qutebrowser neovim ranger ranger pass picom toot termshark vlc mpc mpd conky gajim gajim-omemo gajim-plugininstaller gajim-appindicatorintegration gajim-plugininstaller gajim-urlimagepreview gajim-syntaxhighlight gajim-triggers claws-mail claws-mail-themes claws-mail-extra-plugins claws-mail-i18n claws-mail-plugins claws-mail-pgpmime claws-mail-tools newsboat w3m w3m-img pcmanfm kde-spectacle obs-studio wine winetricks arandr weechat weechat-curses weechat-core hexchat sxiv cmake pkg-config libfreetype6-dev libfontconfig1-dev libxcb-xfixes0-dev libxkbcommon-dev python3 pass-extension-otp zbar-tools
# TODO: alacritty, yt-dlp

# 必要はないですが、確かに好むかもしん
sudo xbps-install -S minetest vimb kristall torbrowser-launcher geary gimp kdenlive krita proton protontricks libwebkit2gtk-4.0-dev discount libfile-mimeinfo-perl

sudo add-apt-repository ppa:frinksy/airshipper
sudo apt-get update
sudo apt install airshipper

git clone https://github.com/jun7/wyeb.git
cd wyeb
make && sudo make install

# i3の場合
sudo apt install i3-wm i3lock polybar rofi scrot hsetroot xsettingsd

# swayの場合
sudo apt install sway swaylock waybar wofi wf-recorder grim wdisplays swaybg

# IceWMの場合
sudo apt install icewm icewm-common scrot
```

その他便利なコマンド
```
# 天気予報、「tokyo」は自分の場所で交換して下さい
curl wttr.in/tokyo

# 仮想通貨の確認
## 1 モネロ→米ドル
curl rate.sx/1xmr
## モネロのグラフ
curl rate.sx/xmr
```

パッケージ一覧（アルファ順）
```
adobe-source-code-pro-fonts と adobe-source-sans-fonts # 日本文字フォント
airshipper # veloren用ラウンジャー
alacritty # ターミナル
arandr # 複数画面を持っている場合、簡単に画面を管理出来る
claws-mail # メールクライアント（plain textのみ）
conky # ステータスバー
curl # Curl
dmenu # i3用メニュー
fcitx5 # 日本語で入力出来るソフト
fish # シェル
gajim # XMPPクライアント
geary # メールクライアント（claws-mailと違いは、HTMLメールも対応です）
git # Git
gimp # 画像編集
hexchat # IRCクライエント
hsetroot # 背景を設定
i3-gaps # タイル方式のウィンドウマネージャ
i3lock # i3用ロック画面
i3-nagbar # i3用報告バー
icewm # 浮遊のウィンドウマネージャ
kdenlive # 画像編集（漫画家にオススメ）
kristall # geminiネットワーク用ブラウザ
krita # 動画編集
minetest # オープンソース系マインクラフトみたいなゲーム
mpv # 音楽・動画プレイヤー
neovim # テキストエディター（コマンドライン）
newsboat # RSSリーダー（コマンドライン）
obs-studio # 録画と配信ツール
pass # パスワードマネージャー（コマンドライン）
pass-otp # 2FAを使える
pcmanfm # ファイルマネージャー
picom # ウィンドウマネージャ
polybar # i3用状況バー
profanity # XMPPクライエント（コマンドライン）
proton # valve産wine
qutebrowser # ウェブブラウザ
ranger # ファイルマネージャー（コマンドライン）
rofi # アプリメニュー
scrot # スクリーンショットツール（X11のみ。Waylandの場合はgrimを使って下さい）
spectacle # スクリーンショットツール
termshark # ネットワークスキャン（wiresharkと同じですが、ターミナルで使える）
toot # mastodon、pleroma、misskey用クライアント（コマンドライン）
tor # 匿名ネットワーク
tor-browser # torネットワーク用ブラウザ
unzip # ZIPファイルを解凍出来るソフト
unarchiver # すべて解凍出来るソフト
veloren # マインクラフトみたいなMMORPGゲーム
viewnoir # 画像表示
vimb # qutebrowserみたいなブラウザ（firefoxベース）
vlc # 音楽・動画プレイヤー
w3m # ウェブブラウザ（コマンドライン、でも画像も表示出来る）
weechat # IRCクライアント（コマンドライン）
wine # Windowsアプリを使える
winetricks # 簡単にWindowsアプリ用ライブラリをインストール出来る
wtfutil # ダッシュボード（コマンドライン）
wttr # 天気予報
wyeb # qutebrowserみたいなブラウザ（firefoxベース）
xsettingsd
yay # AURヘルパー（Artix、Arch、Manjaroのみ）
```
